Bug 119539 - [PATCH] devel/e4graph: workaround for gcc related coredump
[PATCH] devel/e4graph: workaround for gcc related coredump
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: beech
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-10 20:10 UTC by dan
Modified: 2008-01-21 00:30 UTC (History)
0 users

See Also:


Attachments
e4graph-1.0a11_2.patch (823 bytes, patch)
2008-01-10 20:10 UTC, dan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description dan 2008-01-10 20:10:04 UTC
e4graph built with 4.1.3 and up coredumps during storage test. 

http://sourceforge.net/tracker/index.php?func=detail&aid=1840959&group_id=9803&atid=109803

Added file(s):
- files/patch-main_unix_makefile

Generated with FreeBSD Port Tools 0.77

How-To-Repeat: using gcc 4.1.3 or later
cd /usr/ports/deve/e4graph/
make
cd work/e4graph-1.0a11/all
make test
Remove the lines from makefile.include that make complains about
make test
*core dump*
Comment 1 beech freebsd_committer 2008-01-20 18:15:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beech

I'll take it
Comment 2 dfilter freebsd_committer 2008-01-21 00:24:22 UTC
beech       2008-01-21 00:24:17 UTC

  FreeBSD ports repository

  Modified files:
    devel/e4graph        Makefile 
  Added files:
    devel/e4graph/files  patch-all_makefile.include.in 
                         patch-main_unix_makefile 
  Log:
  - Fix core-dump issue when executing make test.
  - Bump portrevision
  
  PR:             ports/119539
  Submitted by:   Daniel Rucci <dan@rucci.org>
  Approved by:    linimon (mentor)
  
  Revision  Changes    Path
  1.27      +2 -3      ports/devel/e4graph/Makefile
  1.1       +14 -0     ports/devel/e4graph/files/patch-all_makefile.include.in (new)
  1.1       +11 -0     ports/devel/e4graph/files/patch-main_unix_makefile (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 beech freebsd_committer 2008-01-21 00:25:00 UTC
State Changed
From-To: open->closed

Committed (with changes), Thanks!